## mx4j.tools.adaptor.rmi.jrmp
Class JRMPAdaptor

    java.lang.Object
      java.rmi.server.RemoteObject
          mx4j.tools.adaptor.rmi.RMIAdaptor
              mx4j.tools.adaptor.rmi.jrmp.JRMPAdaptor

All Implemented Interfaces:
  Invocable, JRMPAdaptorMBean, javax.management.MBeanRegistration, java.rmi.Remote, RemoteAdaptor, RMIAdaptorMBean, java.io.Serializable

public class JRMPAdaptor
extends RMIAdaptor
implements JRMPAdaptorMBean

Adaptor for the JRMP protocol, the native protocol of Java RMI.

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`JRMPAdaptor()` Creates a new JRMP adaptor

Method Summary
`int` `getPort()` Returns the RMI port on which the adaptor's remote object is exported to
`java.lang.String` `getProtocol()` Returns the protocol of this adaptor
`java.lang.String` `getSSLFactory()` Returns the ObjectName of the SSL ServerSocket factory MBean used by this adaptor for secure invocations.
`boolean` `isRunning()` Returns whether this adaptor has been started and not been stopped.
`void` `setPort(int port)` Sets the RMI port on which the adaptor's remote object will be exported to.
`void` `setSSLFactory(java.lang.String factory)` Sets the ObjectName of the SSL ServerSocket factory MBean that will be used by this adaptor for secure invocations.
`void` `start()` Starts this adaptor, so that it can accept incoming calls
`void` `stop()` Stops this adaptor, so that it does not accept incoming calls anymore

Methods inherited from class mx4j.tools.adaptor.rmi.RMIAdaptor
`addInterceptor, bind, clearJNDIProperties, clearNamingProperties, getHostAddress, getHostName, getJNDIName, getJNDIProperties, getMBeanServer, getNamingProperties, getObjectName, installInterceptors, invoke, postDeregister, postRegister, preDeregister, preRegister, putJNDIProperty, putNamingProperty, setJNDIName, setMBeanServer, unbind, uninstallInterceptors`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface mx4j.tools.adaptor.rmi.RMIAdaptorMBean
`clearJNDIProperties, clearNamingProperties, getHostAddress, getHostName, getJNDIName, getJNDIProperties, getNamingProperties, putJNDIProperty, putNamingProperty, setJNDIName`

Constructor Detail

### JRMPAdaptor

    public JRMPAdaptor()

  Creates a new JRMP adaptor

Method Detail

### start

    public void start()
               throws java.rmi.RemoteException,
                      javax.naming.NamingException,
                      javax.management.JMException

  Description copied from interface: `RMIAdaptorMBean`
  Starts this adaptor, so that it can accept incoming calls

  Specified by:
    `start` in interface `RMIAdaptorMBean`
  Specified by:
    `start` in class `RMIAdaptor`
  Throws:
    `java.rmi.RemoteException`
    `javax.naming.NamingException`
    `javax.management.JMException`
  See Also:
    `RMIAdaptor.stop()`, `RMIAdaptor.isRunning()`

### stop

    public void stop()
              throws java.rmi.NoSuchObjectException,
                     javax.naming.NamingException

  Description copied from interface: `RMIAdaptorMBean`
  Stops this adaptor, so that it does not accept incoming calls anymore

  Specified by:
    `stop` in interface `RMIAdaptorMBean`
  Specified by:
    `stop` in class `RMIAdaptor`
  Throws:
    `java.rmi.NoSuchObjectException`
    `javax.naming.NamingException`
  See Also:
    `RMIAdaptor.start()`

### isRunning

    public boolean isRunning()

  Description copied from interface: `RMIAdaptorMBean`
  Returns whether this adaptor has been started and not been stopped.

  Specified by:
    `isRunning` in interface `RMIAdaptorMBean`
  Specified by:
    `isRunning` in class `RMIAdaptor`
  See Also:
    `RMIAdaptor.stop()`

### getProtocol

    public java.lang.String getProtocol()

  Description copied from interface: `RMIAdaptorMBean`
  Returns the protocol of this adaptor

  Specified by:
    `getProtocol` in interface `RMIAdaptorMBean`
  Specified by:
    `getProtocol` in class `RMIAdaptor`

### getPort

    public int getPort()

  Returns the RMI port on which the adaptor's remote object is exported to

  Specified by:
    `getPort` in interface `JRMPAdaptorMBean`
  See Also:
    `setPort(int)`

### setPort

    public void setPort(int port)

  Sets the RMI port on which the adaptor's remote object will be exported to.
  This method can be called only if this adaptor is not running.

  Specified by:
    `setPort` in interface `JRMPAdaptorMBean`
  See Also:
    `getPort()`

### getSSLFactory

    public java.lang.String getSSLFactory()

  Returns the ObjectName of the SSL ServerSocket factory MBean used by this adaptor for secure invocations.

  Specified by:
    `getSSLFactory` in interface `JRMPAdaptorMBean`

### setSSLFactory

    public void setSSLFactory(java.lang.String factory)

  Sets the ObjectName of the SSL ServerSocket factory MBean that will be used by this adaptor for secure invocations.
  This method can be called only if this adaptor is not running.

  Specified by:
    `setSSLFactory` in interface `JRMPAdaptorMBean`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.